<?php declare(strict_types=1);


namespace Pinpoint\DropShipping\Model\Data;

use Pinpoint\DropShipping\Api\Data\DropShipItemInterface;


class DropShipItem extends \Magento\Framework\Api\AbstractExtensibleObject implements DropShipItemInterface
{

    /**
     * Get dropshipitem_id
     * @return string|null
     */
    public function getDropshipitemId()
    {
        return $this->_get(self::DROPSHIPITEM_ID);
    }

    /**
     * Set dropshipitem_id
     * @param string $dropshipitemId
     * @return \Pinpoint\DropShipping\Api\Data\DropShipItemInterface
     */
    public function setDropshipitemId($dropshipitemId)
    {
        return $this->setData(self::DROPSHIPITEM_ID, $dropshipitemId);
    }

    /**
     * Get item_id
     * @return string|null
     */
    public function getItemId()
    {
        return $this->_get(self::ITEM_ID);
    }

    /**
     * Set item_id
     * @param string $itemId
     * @return \Pinpoint\DropShipping\Api\Data\DropShipItemInterface
     */
    public function setItemId($itemId)
    {
        return $this->setData(self::ITEM_ID, $itemId);
    }

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return \Pinpoint\DropShipping\Api\Data\DropShipItemExtensionInterface|null
     */
    public function getExtensionAttributes()
    {
        return $this->_getExtensionAttributes();
    }

    /**
     * Set an extension attributes object.
     * @param \Pinpoint\DropShipping\Api\Data\DropShipItemExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        \Pinpoint\DropShipping\Api\Data\DropShipItemExtensionInterface $extensionAttributes
    ) {
        return $this->_setExtensionAttributes($extensionAttributes);
    }
}

